%define svndate 20100504
%define svnver 8934
%define rel 3

Name:		halibut
Summary:	TeX-like software manual tool
Version:	1.0
Release:	%mkrel %{rel}.%{svndate}svn%{svnver}
License:	MIT
Group:		Text tools
URL:		http://www.chiark.greenend.org.uk/~sgtatham/halibut.html
# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
#  svn export -r %{svnver} svn://svn.tartarus.org/sgt/halibut halibut-%{svndate}
#  pushd halibut-%{svndate}
#  svn export -r %{svnver} svn://svn.tartarus.org/sgt/charset
#  popd
#  tar -cjvf halibut-%{svndate}.tar.bz2 halibut-%{svndate}
Source:		%{name}-%{svndate}.tar.bz2

%description
Halibut is yet another text formatting system, intended primarily for
writing software documentation. It accepts a single source format and
outputs a variety of formats, planned to include text, HTML, Texinfo,
Windows Help, Windows HTMLHelp, PostScript and PDF. It has comprehensive
indexing and cross-referencing support, and generates hyperlinks within
output documents wherever possible.


%package	-n vim-halibut
Summary:	Syntax file for the halibut manual tool
Group:		Editors
Requires:	vim-common
BuildArch:	noarch

%description -n vim-halibut
This package provides vim syntax support for Halibut input files (*.but).


%prep
%setup -q -n %{name}-%{svndate}


%build
sed -i 's/CFLAGS += -g/CFLAGS += /g' Makefile
export CFLAGS="%{optflags}"
make VERSION="%{version}"
%make -C doc


%install
%makeinstall INSTALL="install -Dp"
install -d  html
install -pm 0644 doc/*.html html
install -d %{buildroot}%{_datadir}/vim/syntax
install -pm 0644 misc/halibut.vim %{buildroot}%{_datadir}/vim/syntax


%files
%doc LICENCE html
%{_bindir}/halibut
%{_mandir}/man1/*.1*

%files -n vim-halibut
%{_datadir}/vim/syntax/*.vim




%changelog
* Sun Jan 05 2014 pterjan <pterjan> 1.0-3.20100504svn8934.mga4
+ Revision: 564873
- Make it mass-rebuildable

* Thu Jun 30 2011 sander85 <sander85> 1.0-2.20100504svn8934.mga2
+ Revision: 116924
- add optflags back

* Thu Jun 30 2011 sander85 <sander85> 1.0-1.20100504svn8934.mga2
+ Revision: 116919
- just make
- try w/o optflags
- clean spec
- imported package halibut


* Thu Jun 30 2011 Sander Lepik <sander.lepik@eesti.ee> - 1.0-1.20100504svn8934.mga2
- Initil rebuild for Mageia

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-3.20100504svn8934
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon May 10 2010 Chen Lei <supercyper@163.com> - 1.0-2.20100504svn8934
- merge -doc subpackage to the main package

* Tue May 04 2010 Chen Lei <supercyper@163.com> - 1.0-1.20100504svn8934
- initial rpm build
